## debian-faq 9.0

=== Makefile ===
#
# Makefile for the Debian FAQ
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for doc-debian package build.

manual := debian-faq

currentlang := en
currentlangcn := $(shell echo $(currentlang) | tr A-Z a-z | tr - _)

# this can and will be overridden by a higher level makefile
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

sources := $(manual).sgml faqstatic.ent faqdynamic.ent $(wildcard *.sgml)

polangs = de fr it ja nl ru zh_CN
langs ?=  pt_BR pl es uk $(polangs)
pofiles := $(foreach lang, $(polangs), po4a/po/$(lang).po)

export LANG=C
# stupid debiandoc stuff uses strings in another language otherwise

all: po4a-translate html text ps pdf

publish: all
	test -d $(PUBLISHDIR)/$(manual) || install -d -m 755 $(PUBLISHDIR)/$(manual)
	rm -f $(PUBLISHDIR)/$(manual)/*.$(currentlangcn).html
	install -p -m 644 $(manual).$(currentlang).html/*.html $(PUBLISHDIR)/$(manual)
# possible non-POSIX syntax below. fuck POSIX.
	cd $(PUBLISHDIR)/$(manual) && for file in *.en.html; do \
          ln -sf $$file $${file%$${file#$${file%.en.html}}}.html; \
        done
	install -p -m 644 $(manual)*.txt $(manual)*.ps $(manual)*.pdf $(PUBLISHDIR)/$(manual)
	ln -sf $(manual).en.txt $(PUBLISHDIR)/$(manual)/$(manual).txt
	ln -sf $(manual).en.ps $(PUBLISHDIR)/$(manual)/$(manual).ps
	ln -sf $(manual).en.pdf $(PUBLISHDIR)/$(manual)/$(manual).pdf
	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done

faqdynamic.ent:
	echo "<!entity docdate \"$(shell LC_ALL=C date +'%-d %B %Y')\">" > faqdynamic.ent
	if [ -f debian/changelog ]; then \
          echo "<!entity docversion \"` LC_ALL=C dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//'`\">" >> faqdynamic.ent; \
        else \
          echo "<!entity docversion \"CVS\">" >> faqdynamic.ent; \
        fi

update-po: faqdynamic.ent
	PERL_PERTURB_KEYS=0 PERL_HASH_SEED=0 po4a --force --previous --no-translations --rm-backups po4a/po4a.cfg


po4a-translate: faqdynamic.ent $(pofiles)
	PERL_PERTURB_KEYS=0 PERL_HASH_SEED=0 po4a --keep 0 --previous --rm-backups po4a/po4a.cfg # --localized-charset UTF-8
	sed -i 's/<.*heading>//g' fr/*sgml
	touch po4a-translate

validate: faqdynamic.ent
	nsgmls -ges -wall $(manual).sgml

html: po4a-translate $(manual).$(currentlang).html/index.$(currentlangcn).html
	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done

$(manual).$(currentlang).html/index.$(currentlangcn).html: $(sources)
	rm -rf $(manual).html $(manual).$(currentlang).html
	debiandoc2html -c -l $(currentlang) $<
	mv $(manual).html $(manual).$(currentlang).html

text: po4a-translate $(manual).$(currentlang).txt
	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done

$(manual).$(currentlang).txt: $(sources)
	debiandoc2text -l $(currentlang) $<
	mv $(manual).txt $(manual).$(currentlang).txt

$(manual).$(currentlang).info: $(sources)
	debiandoc2info -l $(currentlang) $<
# TODO: rename to .$(currentlang).info?

$(manual).$(currentlang).ps $(manual).$(currentlang).dvi $(manual).$(currentlang).pdf: \
  $(manual).$(currentlang).%: $(sources)
	debiandoc2latex$* -l $(currentlang) $<
	mv $(manual).$* $(manual).$(currentlang).$*

ps dvi pdf info: %: po4a-translate $(manual).$(currentlang).%
	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done

clean distclean: cleanup
	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done

cleanup:
	rm -rf $(manual)*.$(currentlang).html
	rm -f $(patsubst %,$(manual)*.%,txt ps dvi pdf info* aux log man tex toc out tpt sasp*)
	rm -f $(patsubst %,$(manual)*.%.gz,txt ps pdf)
	rm -f faqdynamic.ent *~ .*~ core tsa* *.tmp $(manual).tpt
	rm -f po4a-translate
	[ ! -h faqstatic.ent ] || rm faqstatic.ent

.PHONY: all publish clean cleanup distclean validate update-po

=== debian/changelog ===
debian-faq (9.0) unstable; urgency=medium

  * Team upload.
  
  [ Holger Wansing ]
  * 2017-11-12: Add Dutch translation by Frans Spiesschaert (Closes: #881647)

  [ Joost van Baal-Ilić ]
  * debian/changelog: update old changelog entries 5.0.2+nmu1 and 8.1
    (Closes: #762167, #806994)
  * 2017-11-30: debian/control: remove Simon Paillard from Uploaders; he hasn't
    been working on this package for 3 years.  As requested by Mattia Rizzolo /
    MIA team.  Thanks Mattia.  Simon: thanks and please do keep committing!
    (Closes: #873264)
  * 2017-11-30: customizing.sgml: Add section "booting": "How does a Debian
    system boot?", with patch with notes on systemd contributed by Alan Lee,
    and further improved by Vincent McIntyre and Justin B Rye.  Thanks!
    Add pointers to relevant 2014 CTTE decisions (The systemd debate).
    Rename section "booting": "Every distribution seems to have a different
    boot-up method. Tell me about Debian's." to "sysvinit": "And how about
    Debian and traditional System V init".  Drop section "custombootscripts":
    "What other facilities are provided to customize the boot process besides
    rc.local?": it is relevant for System V init only and therefore does not
    belong here.  Add section 'altboot': "And are there yet other ways of
    booting a Debian system?" mentioning e.g. openrc.  (Closes: #787152)
  * 2017-11-30: fr/Makefile, po4a/add_fr/adaptation.add,
    po4a/add_fr/commentaires.add, po4a/po4a.cfg: apply patch: switch from
    ISO-8859-15 to UTF-8 and allow using non-ascii characters in the po-file.
    This also fixes a FTBFS: "Addendum po4a/add_fr/commentaires.add does NOT
    apply to fr/debian-faq.sgml (translation discarded)".  Thanks Lucas
    Nussbaum for the report and Baptiste Jammet for the patch (Closes: #851414,
    #871105)
  * 2018-05-13: debian/control: we've migrated from svn to git and from
    alioth to salsa.debian.org.  Update Vcs tags.  Thanks a lot Marcos Fouces.

  [ Javier Fernández-Sanguino ]
  * 2017-06-20: ftparchives.sgml: Update releases and names. Update links in
    comments to proper locations and add a link to Pixar's Toy Story in
    Wikia.com.  Add missing codenames for future releases.

  [ Baptiste Jammet ]
  * 2017-02-01, 2017-02-06: po4a/po/fr.po: Updated french translation by Alban
    Vidal, proofread by Jean-Paul Guillonneau and Baptiste Jammet

  [ Beatrice Torracca ]
  * 2017-01-21: po4a/po/it.po: Updated Italian translation

  [ victory ]
  * 2016-12-19: po4a/po/ja.po: update Japanese translation

  [ Jelmer Vernooĳ ]
  * debian/source/format: remove extra space. Fixes lintian error
    unknown-source-format.

  [ Dr. Tobias Quathamer ]
  * Remove outdated and obsolete Chinese sgml files.
    After the translation has been switched to po4a, the package
    will FTBFS otherwise.
  * Use debhelper v11
  * Use HTTPS for some URLs
  * Run wrap-and-sort

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 17 Nov 2018 23:41:33 +0100

=== debian/control ===
Source: debian-faq
Section: doc
Priority: standard
Maintainer: Javier Fernandez-Sanguino Peña <jfs@debian.org>
Uploaders: Josip Rodin <joy-packages@debian.org>,
           Joost van Baal <joostvb@debian.org>
Build-Depends: debhelper (>= 11)
Build-Depends-Indep: debiandoc-sgml,
                     ghostscript,
                     latex-cjk-chinese,
                     latex-cjk-chinese-arphic-bkai00mp,
                     latex-cjk-chinese-arphic-bsmi00lp,
                     latex-cjk-chinese-arphic-gbsn00lp,
                     latex-cjk-chinese-arphic-gkai00mp,
                     po4a,
                     texlive (>= 2007-11),
                     texlive-lang-chinese,
                     texlive-lang-cyrillic,
                     texlive-lang-english,
                     texlive-lang-french,
                     texlive-lang-german,
                     texlive-lang-italian,
                     texlive-lang-other,
                     texlive-lang-polish,
                     texlive-lang-portuguese,
                     texlive-lang-spanish,
                     texlive-latex-extra
Standards-Version: 3.9.6
Vcs-Browser: https://salsa.debian.org/ddp-team/debian-faq
Vcs-Git: https://salsa.debian.org/ddp-team/debian-faq.git
Homepage: https://www.debian.org/doc/user-manuals#faq

Package: debian-faq
Priority: standard
Architecture: all
Suggests: postscript-viewer, www-browser
Depends: ${misc:Depends}
Conflicts: doc-debian (<= 3.1.5)
Description: Debian Frequently Asked Questions
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 This document is available at https://www.debian.org/doc/manuals/debian-faq/
 as well as from the Debian file server at https://ftp.debian.org/debian/doc/FAQ
 and mirrors thereof.
 .
 The document is supplied in HTML, PDF, PostScript and plain text.
 .
 If you're new to Debian, and like to read documentation from your local system,
 without using the network, install this package.

Package: debian-faq-de
Priority: optional
Architecture: all
Suggests: postscript-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in German
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF, PostScript and plain text.
 .
 This is the translation in German of the original English FAQ (available in the
 package debian-faq.)

Package: debian-faq-fr
Priority: optional
Architecture: all
Suggests: postscript-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in French
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF, PostScript and plain text.
 .
 This is the translation in French of the original English FAQ (available in the
 package debian-faq.)

Package: debian-faq-it
Priority: optional
Architecture: all
Suggests: postscript-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Italian
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF, PostScript and plain text.
 .
 This is the translation in Italian of the original English FAQ (available in
 the package debian-faq.)

Package: debian-faq-nl
Priority: optional
Architecture: all
Suggests: postscript-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Dutch
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF, PostScript and plain text.
 .
 This is the translation in Dutch of the original English FAQ (available in
 the package debian-faq.)

Package: debian-faq-ru
Priority: optional
Architecture: all
Suggests: postscript-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Russian
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF, PostScript and plain text.
 .
 This is the translation in Russian of the original English FAQ (available in
 the package debian-faq.)

Package: debian-faq-zh-cn
Priority: optional
Architecture: all
Suggests: postscript-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Chinese
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF, PostScript and plain text.
 .
 This is the translation in Chinese (as spoken in China) of the original English
 FAQ (available in the package debian-faq.)

=== debian/rules ===
#!/usr/bin/make -f
# derived from sample debian/rules file for GNU hello by Ian Jackson.

tmp = $(CURDIR)/debian/tmp
docdir = $(tmp)/usr/share/doc/debian
basedir = $(CURDIR)/debian/debian-faq
installdir = $(basedir)/usr/share/doc/debian

langs = de fr it nl ru zh_CN

build: build-arch build-indep
build-arch: stamp-build
build-indep: stamp-build
stamp-build:
	test -f Makefile -a -f debian/rules
	$(MAKE) po4a-translate html text ps pdf langs="$(langs)"
	gzip -9 debian-faq.en.txt debian-faq.en.ps debian-faq.en.pdf
	for l in $(langs); do \
          gzip -9 $$l/debian-faq.$$l.txt $$l/debian-faq.$$l.ps \
           $$l/debian-faq.$$l.pdf; \
        done
	touch $@

clean:
	test -f Makefile -a -f debian/rules
	dh_testroot
	$(MAKE) clean
	rm -f *.gz stamp-build debian/files `find . -name "*~"`
	dh_clean

binary: binary-indep binary-arch

binary-arch:

binary-indep: build
	test -f Makefile -a -f debian/rules
	dh_testroot
	dh_prep

	install -m 755 -d $(tmp)/DEBIAN $(docdir)/FAQ \
          $(tmp)/usr/share/doc-base $(tmp)/usr/share/doc/debian-faq \
          $(installdir)/FAQ $(basedir)/usr/share/doc-base \
          $(basedir)/usr/share/doc/debian-faq
	install -m 644 debian-faq.en.txt.gz debian-faq.en.ps.gz \
                    debian-faq.en.pdf.gz debian-faq.en.html/* $(installdir)/FAQ

	for l in $(langs); do \
          install -m 755 -d $(docdir)/FAQ/$$l; \
          install -m 644 $$l/debian-faq.$$l.txt.gz $$l/debian-faq.$$l.ps.gz \
           $$l/debian-faq.$$l.pdf.gz $(docdir)/FAQ; \
          install -m 644 $$l/debian-faq.$$l.html/* $(docdir)/FAQ/$$l/; \
        done

	cd $(installdir)/FAQ && for file in *.en.html; do \
          ln -s $$file $${file%$${file#$${file%.en.html}}}.html; \
        done
# Make links for the byhands
	ln -sf debian-faq.en.txt.gz $(installdir)/FAQ/debian-faq.txt.gz
	ln -sf debian-faq.en.ps.gz $(installdir)/FAQ/debian-faq.ps.gz
	ln -sf debian-faq.en.pdf.gz $(installdir)/FAQ/debian-faq.pdf.gz
	ln -sf debian-faq.en.pdf.gz $(installdir)/FAQ/debian-faq.pdf.gz

	dh_installdocs
	dh_installchangelogs
	dh_installdirs --all
	dh_install --sourcedir=$(tmp)
	dh_compress --all
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# The extra-package files:
	mv $(installdir)/FAQ/debian-faq.*txt.gz \
           $(installdir)/FAQ/debian-faq.*ps.gz \
           $(installdir)/FAQ/debian-faq.*pdf.gz \
             ../
	cd $(installdir)/FAQ/ && GZIP=-9 tar czf $(CURDIR)/../debian-faq.en.html.tar.gz *

# list them in the .changes file, so that they'll get uploaded properly:
	dpkg-distaddfile debian-faq.en.html.tar.gz byhand -
	dpkg-distaddfile debian-faq.en.txt.gz byhand -
	dpkg-distaddfile debian-faq.en.ps.gz byhand -
	dpkg-distaddfile debian-faq.en.pdf.gz byhand -

.PHONY: build clean binary binary-arch binary-indep

## debian-faq 9.0+nmu1

=== debian/changelog ===
debian-faq (9.0+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:13:50 +0800

## debian-faq 10.1

=== Makefile ===
#
# Makefile for the release notes, top-level
#

# comment out this line when the debian-faq should go into
# production mode
# DRAFT := 1

ifeq "$(DRAFT)" "1"
    draftmode := yes
else
    draftmode := maybe
endif

manual := debian-faq

install_file	:= cp -pr
makedir	:= mkdir -p -m 0755

PUBLISHDIR := $(DESTDIR)/usr/share/doc/debian/FAQ

# WARNING - Editors and translators: the LANGUAGES list is currently sorted
# alphabetically but *NEW* languages that somebody wants to start working in
# should go to the end, that way if the language fails to build, or has errors,
# the other languages are not affected
#
# TODO - Treat 'probationary' languages independently so that they if they
# break they do not break the build for stable translations
LANGUAGES := en de fr it ja nl ru zh-cn

# The following is a list of 'probationary' languages, these might not yet
# build fine and might break the build.  Move them over to LANGUAGES when they
# do:
DISABLED_LANGUAGES :=
ALL_LANGUAGES := $(LANGUAGES) $(DISABLED_LANGUAGES)

# languages without .po files
# (either original English or translators don't like .po)
DBK_LANGUAGES := en
PO_LANGUAGES := $(filter-out $(DBK_LANGUAGES), $(ALL_LANGUAGES))
XMLROFF_LANGS=zh-cn
PO_FILES := $(wildcard */*.po)

# DISABLED_PDF are the languages we will not generate PDF versions for:
DISABLED_PDF=ja zh-cn
# cairo backend of xmlroff 0.6.0 crashes on some languages (#492597)
GPLIST=ja

LANGUAGES-publish := $(addsuffix -publish,$(LANGUAGES))
LANGUAGES-clean := $(addsuffix -clean,$(LANGUAGES))

SOURCES := $(wildcard en/*.dbk)

# DocBook stuff
XP=xsltproc --nonet --novalid --xinclude \
    --stringparam draft.mode $(draftmode)
XL=xmllint --nonet --noout --postvalid --xinclude
# XSL files and parameters
# note: the URL is used as identifier, no HTTP is used!
DOCBOOK_XSL=http://docbook.sourceforge.net/release/xsl/current
# for HTML output
DBK2HTML=$(CURDIR)/html.xsl
# all in one file for text output
DBK2HTML1=$(CURDIR)/txt.xsl
#
# NOTE: to DEBUG the generation of PDFs use the '-d -V' switches
# in DBLATEX and review the temporary files generated for errors
DBLATEX=dblatex --backend=xetex --style=db2latex \
    --xslt-opts=--nonet --no-external \
    --xsl-user=hyphenation.xsl \
    --param=xetex.font='                 \
\setmainfont{CharisSIL-R.ttf}[           \
  BoldFont       = CharisSIL-B.ttf ,     \
  ItalicFont     = CharisSIL-I.ttf ,     \
  BoldItalicFont = CharisSIL-BI.ttf]     \
\setsansfont{FreeSans}                   \
\setmonofont{FreeMono}' \
    --param=draft.mode=$(draftmode) \
    --param=format=a4 \
    --param=glossterm.auto.link=1 \
    --param=lingua=$(LINGUA) \
    --param=monoseq.hyphenation=nohyphen
PROFILE=$(DOCBOOK_XSL)/profiling/profile.xsl
PREPROC=$(CURDIR)/preproc.xsl
DBLATEXXSL=$(CURDIR)/dblatex.xsl
XMLROFF=xmlroff --backend cairo
XMLROFF_GP=xmlroff --backend gp

FORMATS=html txt pdf

# po4a stuff
# Mimic options that used to be hardcoded in local Locale::Po4a::Xml
PO4AOPTIONS=-o nodefault='<contrib> <editor> <indexterm> <note> <primary> <pubdate> <programlisting> <orderedlist> <screen>' -o translated='<contrib> <editor> W<programlisting> <note> <orderedlist> <pubdate> W<screen> <indexterm><primary>' -o inline='<indexterm> <primary>'
UPDATEPO=po4a-updatepo $(PO4AOPTIONS) --previous --format docbook
# The "--keep 0" should be removed as soon as the translations are ready
TRANSLATE=po4a-translate $(PO4AOPTIONS) --format docbook --keep 0

.SUFFIXES:
.PHONY: publish all clean $(LANGUAGES-publish)

all:
	for l in $(LANGUAGES); do \
    echo "Creating documents for language $$l"; \
    $(MAKE) LINGUA=$$l $(FORMATS); \
	done

# TODO: Do not use 'set -e' here. if one of the files here is missing for one
# language due to a failed build the installation will break the installation
# for the other languages.
# We could change this into a proper Makefile goal with its subtargets
# but it needs to be rewritten to do so
install:
	@echo "Publishing to '$(PUBLISHDIR)'"
	$(MAKE) $(FORMATS); \
	$(makedir) $(PUBLISHDIR); \
	for lang in $(LANGUAGES); do \
		$(makedir) $(PUBLISHDIR)/$$lang; \
		[ ! -d "$$lang/$$lang/" ] || \
		$(install_file) $$lang/$$lang/* \
		$(PUBLISHDIR)/$$lang/; \
		[ ! -e "$$lang/$(manual).$$lang.txt" ] ||  \
		$(install_file) $$lang/$(manual).$$lang.txt $(PUBLISHDIR); \
		[ ! -e "$$lang/$(manual).$$lang.pdf" ] ||  \
		$(install_file) $$lang/$(manual).$$lang.pdf $(PUBLISHDIR); \
	done

ifdef LINGUA
html::	$(LINGUA)/$(LINGUA)/index.$(LINGUA).html
$(LINGUA)/$(LINGUA)/index.$(LINGUA).html: \
		$(LINGUA)/$(manual).$(LINGUA).xml html.xsl
	@test -d /usr/share/xml/docbook/stylesheet/nwalsh/images/  || { echo "ERROR: The Docbook stylesheet's images are not available. Please install the docbook-xsl package." ; false ; }
	mkdir -p $(LINGUA)/$(LINGUA)/images
	cp debian.css $(LINGUA)/$(LINGUA)
	cp /usr/share/xml/docbook/stylesheet/nwalsh/images/*.png \
	    $(LINGUA)/$(LINGUA)/images
	cd $(LINGUA) && $(XP) -o $(LINGUA)/ \
	    --stringparam html.ext .$(LINGUA).html \
	    $(DBK2HTML) $(manual).$(LINGUA).xml

pdf::	$(LINGUA)/$(manual).$(LINGUA).pdf
ifneq "$(filter $(XMLROFF_LANGS),$(LINGUA))" ""
$(LINGUA)/$(manual).$(LINGUA).pdf: \
		$(LINGUA)/$(manual).$(LINGUA).fo
$(LINGUA)/$(manual).$(LINGUA).fo: \
		$(LINGUA)/$(manual).$(LINGUA).xml fo.xsl
else
$(LINGUA)/$(manual).$(LINGUA).pdf: \
		$(LINGUA)/$(manual).$(LINGUA).xml
endif

ifneq "$(filter $(DISABLED_PDF),$(LINGUA))" ""
	cp nopdf.pdf $(LINGUA)/$(manual).$(LINGUA).pdf
else
ifneq "$(filter $(XMLROFF_LANGS),$(LINGUA))" ""
%.fo: %.xml xmlroff.xsl
	$(XP) xmlroff.xsl $< |$(XP) --output $@ fo.xsl -

%.pdf: %.fo
	@test -n "`which xmlroff`"  || { echo "ERROR: xmlroff not found. Please install the xmlroff package." ; false ;  }
	USE_GP=`echo " $(GPLIST) " | grep " $$LINGUA "`; \
	if [ -n "$$USE_GP" ]; then \
	    $(XMLROFF_GP) -o $@ $<; \
	else \
	    $(XMLROFF) -o $@ $<; \
	fi
else
%.pdf: %.xml
	@test -n "`which dblatex`"  || { echo "ERROR: dblatex not found. Please install the dblatex package." ; false ;  }
	export TEXINPUTS="$$(pwd)/$(@D):"; \
	$(XP) $(DBLATEXXSL) $< | $(DBLATEX) --output=$@ -
endif
endif

txt::	$(LINGUA)/$(manual).$(LINGUA).txt
$(LINGUA)/$(manual).$(LINGUA).txt: \
		$(LINGUA)/$(manual).$(LINGUA).xml txt.xsl
	@test -n "`which xsltproc`"  || { echo "ERROR: xsltproc not found. Please install the xsltproc package." ; false ;  }
	@test -n "`which w3m`"  || { echo "ERROR: w3m not found. Please install the w3m package." ; false ;  }
ifneq "$(findstring $(LINGUA) , ja )" ""
	$(XP) $(DBK2HTML1) $< > ja/all-in-one.html
	perl ja/kinsoku.pl
	cat ja/temp.html | w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html > $@
	rm -f ja/all-in-one.html ja/temp.html
else
	$(XP) $(DBK2HTML1) $< \
	    | w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html > $@
endif

$(LINGUA)/$(manual).$(LINGUA).xml: \
		$(patsubst en/%,$(LINGUA)/%,$(SOURCES)) $(manual).ent
	$(XP) $(PROFILE) $(@D)/$(manual).dbk | $(XP) $(PREPROC) - > $@
endif

FORCE:

# There must be an easier way than recursive make!
.PRECIOUS:		%.dbk
ifndef LINGUA
%.dbk: FORCE
	$(MAKE) $@ LINGUA=`basename $(@D)`

else
ifeq "$(findstring  $(LINGUA) , $(DBK_LANGUAGES) )" ""
$(LINGUA)/%.dbk:	en/%.dbk $(LINGUA)/%.po
	@test -n "`which po4a`"  || { echo "ERROR: po4a not found. Please install the po4a package." ; false ;  }
	$(TRANSLATE) --master $< --po $(@:.dbk=.po) --localized $@
endif
endif

ifdef LINGUA
.PHONY:	updatepo
update-po: updatepo
updatepo:	$(patsubst en/%.dbk,$(LINGUA)/%.po-force,$(wildcard en/*.dbk))
# The next is just a PHONY target and forcible updates the PO files
$(LINGUA)/%.po-force: FORCE
	$(UPDATEPO) --master en/$*.dbk --po $(LINGUA)/$*.po

validate:	$(patsubst en/%,$(LINGUA)/%,$(SOURCES))
	$(XL) $(LINGUA)/$(manual).dbk
endif

tidypo:
ifdef LINGUA
	for po in $(wildcard $(LINGUA)/*.po); do \
	    msgcat $$po > $$po.tmp && mv $$po.tmp $$po; \
	done
else
	for po in $(wildcard */*.po); do \
	    msgcat $$po > $$po.tmp && mv $$po.tmp $$po; \
	done
endif

ifndef LINGUA

# Iterate over all PO based languages only
updatepo:
	for l in $(PO_LANGUAGES); do \
	    $(MAKE) $@ LINGUA=$$l; \
	done

%:
	for l in $(LANGUAGES); do \
	    $(MAKE) $@ LINGUA=$$l; \
	done
endif

clean:: $(LANGUAGES-clean)

$(LANGUAGES-clean):
	LINGUA=$(subst -clean,,$@); \
	cd $$LINGUA; \
	echo " $(DBK_LANGUAGES) " | grep -q " $$LINGUA " || rm -f *.dbk; \
	rm -rf *~ .*~ $$LINGUA $(manual).*.txt $(manual).*.pdf \
	    $(manual).$$LINGUA.xml ifxetex.sty body.tmp head.tmp

=== debian/changelog ===
debian-faq (10.1) unstable; urgency=medium

  * Team upload.
  * Disable BYHAND processing to allow migration to testing.
    The package needs a binary upload for BYHAND processing,
    but this disables the migration to testing, because
    a source-only upload is required. Therefore, this is
    an upload with only the BYHAND rules removed, no other
    changes have been made. The content is therefore
    identical to the documents available from the archive
    mirrors.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 02 Oct 2019 14:21:30 +0200

debian-faq (10.0) unstable; urgency=medium

  * Team upload.

  [ Beatrice Torracca ]
  * 2019-03-13: Updated Italian translation

  [ Beatrice Torracca ]
  * 2019-03-09: po4a/po/??.po, po4a/po/debian-faq.pot: Updated po files with
    «make update-po»

  [ Holger Wansing ]
  * Fix file server URL in control file, as mentioned in
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=892244#38.
    Closes: #892246, #892247.

  [ Jean-Philippe MENGUAL ]
  * Update of French translation. Closes: #920492.

  [ Javier Fernández-Sanguino ]
  * Update README.release
  * en/ftparchives.dbk: Add all the version numbers to codenames

  [ Dr. Tobias Quathamer ]
  * Convert source files from debiandoc to DocBook. Closes: #612993
  * Simplify d/rules, use dh
  * Rename zh_CN to zh-cn
  * Remove PostScript files
  * Remove obsolete Conflicts: with doc-debian
  * Update Standards-Version to 4.4.0
  * Use new entity &Releasename; (capitalized) where necessary.
  * Update version and date
  * Add script to automatically update the debian files for all languages
  * Enable Japanese translation. (Closes: #924698)
  * Enable translation of date (Closes: #647133)
  * Update German translation
  * Suggest virtual package pdf-viewer
  * Use HTTPS in URLs where possible
  * Update several URLs to their new location
  * Remove duplicate field Priority: standard from debian-faq package
  * Switch to debhelper-compat and use v12

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 12 Aug 2019 23:02:07 +0200

=== debian/control ===
Source: debian-faq
Section: doc
Priority: standard
Maintainer: Javier Fernandez-Sanguino Peña <jfs@debian.org>
Uploaders: Josip Rodin <joy-packages@debian.org>,
           Joost van Baal <joostvb@debian.org>
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: dblatex <!pkg.debian-faq.nopdf>,
                     docbook-xml,
                     docbook-xsl,
                     fonts-freefont-ttf,
                     fonts-sil-charis,
                     libxml2-utils,
                     po4a,
                     texlive-lang-all <!pkg.debian-faq.nopdf>,
                     texlive-xetex <!pkg.debian-faq.nopdf>,
                     w3m,
                     xmlroff,
                     xsltproc
Standards-Version: 4.4.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ddp-team/debian-faq
Vcs-Git: https://salsa.debian.org/ddp-team/debian-faq.git
Homepage: https://www.debian.org/doc/user-manuals#faq

Package: debian-faq
Architecture: all
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 This document is available at https://www.debian.org/doc/manuals/debian-faq/
 as well as from the Debian file server at https://deb.debian.org/debian/doc/FAQ
 and mirrors thereof.
 .
 The document is supplied in HTML, PDF, and plain text.
 .
 If you're new to Debian, and like to read documentation from your local system,
 without using the network, install this package.

Package: debian-faq-de
Priority: optional
Architecture: all
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in German
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in German of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-fr
Priority: optional
Architecture: all
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in French
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in French of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-it
Priority: optional
Architecture: all
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Italian
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Italian of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-ja
Priority: optional
Architecture: all
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Japanese
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Japanese of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-nl
Priority: optional
Architecture: all
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Dutch
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Dutch of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-ru
Priority: optional
Architecture: all
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Russian
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Russian of the original English FAQ
 (available in the package debian-faq.)

Package: debian-faq-zh-cn
Priority: optional
Architecture: all
Suggests: pdf-viewer, www-browser
Depends: ${misc:Depends}
Description: Debian Frequently Asked Questions, in Simplified Chinese
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF and plain text.
 .
 This is the translation in Simplified Chinese of the original English FAQ
 (available in the package debian-faq.)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

# Take care of symlink creation for english files
override_dh_auto_install:
	dh_auto_install
	for i in $(CURDIR)/debian/tmp/usr/share/doc/debian/FAQ/en/*.en.html; do \
		ln -sf `basename $$i` $${i%.en.html}.html; \
	done

# The following target is needed because some extra files
# are included in the upload. Those files are available
# from the archive mirror network, e.g. at this address:
# https://deb.debian.org/debian/doc/FAQ/
override_dh_gencontrol:
	dh_gencontrol
	# Exclude txt and pdf files from the HTML tarball.
	mv $(CURDIR)/debian/debian-faq/usr/share/doc/debian/FAQ/debian-faq.*txt.gz \
	   $(CURDIR)/debian/debian-faq/usr/share/doc/debian/FAQ/debian-faq.*pdf.gz \
	   $(CURDIR)/..
	cd $(CURDIR)/debian/debian-faq/usr/share/doc/debian/FAQ && \
	   tar caf $(CURDIR)/../debian-faq.en.html.tar.gz *
	# Copy txt and pdf files back, so that they get included in the .deb
	cp $(CURDIR)/../debian-faq.en.txt.gz $(CURDIR)/debian/debian-faq/usr/share/doc/debian/FAQ
	cp $(CURDIR)/../debian-faq.en.pdf.gz $(CURDIR)/debian/debian-faq/usr/share/doc/debian/FAQ
	ln -sf debian-faq.en.txt.gz $(CURDIR)/debian/debian-faq/usr/share/doc/debian/FAQ/debian-faq.txt.gz
	ln -sf debian-faq.en.pdf.gz $(CURDIR)/debian/debian-faq/usr/share/doc/debian/FAQ/debian-faq.pdf.gz

# 	dpkg-distaddfile debian-faq.en.txt.gz byhand -
# 	dpkg-distaddfile debian-faq.en.pdf.gz byhand -
# 	dpkg-distaddfile debian-faq.en.html.tar.gz byhand -

## debian-faq 11.1

=== debian/changelog ===
debian-faq (11.1) unstable; urgency=medium

  * Team upload.

  [ Wenbin Lv ]
  * 2021-08 - 2021-10: zh-cn/*po: update Chinese translation.

  [ Beatrice Torracca ]
  * 2021-12: Updated Italian translation

  [ Frans Spiesschaert ]
  * Dutch translation update.

  [ Dr. Tobias Quathamer ]
  * Fix FTBFS: Update filenames of fonts-sil-charis. (Closes: #1002249)
  * Update Standards-Version to 4.6.1, no changes needed
  * Disable BYHAND processing for next upload
  * Add gbp.conf

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 31 May 2022 13:29:35 +0200

debian-faq (11.0) unstable; urgency=medium

  * Team upload.

  [ Sebul ]
  * 2021-10: ko/*.po: Add new translation into Korean.

  [ Américo Monteiro ]
  * 2021-10: pt/*.po: Add new (partly) translation into Portuguese.
    Closes: #982823

  [ Frans Spiesschaert ]
  * Dutch translation update.

  [ Joost van Baal-Ilić ]
  * debian/rules: apply patch contributed by Vagrant Cascadian: "Set
    FORCE_SOURCE_DATE=1 in order for texlive to respect SOURCE_DATE_EPOCH
    for reproducible timestamps" in PDF files. Closes: #976348
  * Enable new Korean and Portuguese translations:
    - debian-faq-{ko,pt}.{doc-base,install}: added
    - debian/control: add new debian-faq-ko and debian-faq-pt binary packages

  [ Holger Wansing ]
  * Get rid of mentions of FTP, since Debian has shut down their FTP services.
  * Remove FFIS from the document (no longer active).
  * Get rid of Build-Depends-Indep: xmlroff (no more in effective use). 
    Closes: #956647
  * Remove mention of 'laptop' task (has been deleted from the installer).

  [ Dr. Tobias Quathamer ]
  * Update data for bullseye
  * Use debhelper v13
  * Update Standards-Version to 4.6.0, no changes needed
  * German translation update.

  [ Boyuan Yang ]
  * en/customizing.dbk: Correctly point out the system service that handles
    /etc/rc.local file (/lib/systemd/system/rc-local.service instead of
    /lib/systemd/rc.local.service).

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 23 Nov 2021 22:56:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Javier Fernandez-Sanguino Peña <jfs@debian.org>
 Uploaders: Josip Rodin <joy-packages@debian.org>,
            Joost van Baal <joostvb@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: dblatex <!pkg.debian-faq.nopdf>,
                      docbook-xml,
                      docbook-xsl,
@@ -15,9 +15,8 @@
                      texlive-lang-all <!pkg.debian-faq.nopdf>,
                      texlive-xetex <!pkg.debian-faq.nopdf>,
                      w3m,
-                     xmlroff,
                      xsltproc
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ddp-team/debian-faq
 Vcs-Git: https://salsa.debian.org/ddp-team/debian-faq.git
@@ -25,6 +24,7 @@
 
 Package: debian-faq
 Architecture: all
+Multi-Arch: foreign
 Suggests: pdf-viewer, www-browser
 Depends: ${misc:Depends}
 Description: Debian Frequently Asked Questions
@@ -47,6 +47,7 @@
 Package: debian-faq-de
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Suggests: pdf-viewer, www-browser
 Depends: ${misc:Depends}
 Description: Debian Frequently Asked Questions, in German
@@ -65,6 +66,7 @@
 Package: debian-faq-fr
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Suggests: pdf-viewer, www-browser
 Depends: ${misc:Depends}
 Description: Debian Frequently Asked Questions, in French
@@ -83,6 +85,7 @@
 Package: debian-faq-it
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Suggests: pdf-viewer, www-browser
 Depends: ${misc:Depends}
 Description: Debian Frequently Asked Questions, in Italian
@@ -101,6 +104,7 @@
 Package: debian-faq-ja
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Suggests: pdf-viewer, www-browser
 Depends: ${misc:Depends}
 Description: Debian Frequently Asked Questions, in Japanese
@@ -116,9 +120,29 @@
  This is the translation in Japanese of the original English FAQ
  (available in the package debian-faq.)
 
+Package: debian-faq-ko
+Priority: optional
+Architecture: all
+Multi-Arch: foreign
+Suggests: pdf-viewer, www-browser
+Depends: ${misc:Depends}
+Description: Debian Frequently Asked Questions, in Korean
+ In this package you will find the Debian GNU/Linux FAQ, which gives
+ frequently asked questions (with their answers!) about the Debian distribution
+ (Debian GNU/Linux and others) and about the Debian project.
+ Some answers assume some knowledge of Unix-like operating systems.
+ However, as little prior knowledge as possible is assumed: answers to general
+ beginners questions will be kept simple.
+ .
+ The document is supplied in HTML, PDF and plain text.
+ .
+ This is the translation in Korean of the original English FAQ
+ (available in the package debian-faq.)
+
 Package: debian-faq-nl
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Suggests: pdf-viewer, www-browser
 Depends: ${misc:Depends}
 Description: Debian Frequently Asked Questions, in Dutch
@@ -134,9 +158,29 @@
  This is the translation in Dutch of the original English FAQ
  (available in the package debian-faq.)
 
+Package: debian-faq-pt
+Priority: optional
+Architecture: all
+Multi-Arch: foreign
+Suggests: pdf-viewer, www-browser
+Depends: ${misc:Depends}
+Description: Debian Frequently Asked Questions, in Portuguese
+ In this package you will find the Debian GNU/Linux FAQ, which gives
+ frequently asked questions (with their answers!) about the Debian distribution
+ (Debian GNU/Linux and others) and about the Debian project.
+ Some answers assume some knowledge of Unix-like operating systems.
+ However, as little prior knowledge as possible is assumed: answers to general
+ beginners questions will be kept simple.
+ .
+ The document is supplied in HTML, PDF and plain text.
+ .
+ This is the translation in Portuguese of the original English FAQ
+ (available in the package debian-faq.)
+
 Package: debian-faq-ru
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Suggests: pdf-viewer, www-browser
 Depends: ${misc:Depends}
 Description: Debian Frequently Asked Questions, in Russian
@@ -155,6 +199,7 @@
 Package: debian-faq-zh-cn
 Priority: optional
 Architecture: all
+Multi-Arch: foreign
 Suggests: pdf-viewer, www-browser
 Depends: ${misc:Depends}
 Description: Debian Frequently Asked Questions, in Simplified Chinese

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+# Needed for texlive to respect SOURCE_DATE_EPOCH when setting date
+export FORCE_SOURCE_DATE=1
 
 %:
 	dh $@
